body, html {
    padding: 0;
    background: #f8f8f8 !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sign_up__form__container {
    opacity: 0;
    visibility: hidden;
    align-items: center;
    justify-content: center;
    transition: all 140ms ease-in;
    height: 0;
    width: 0;
    overflow: hidden;
}

.login__form__container {
    opacity: 0;
    visibility: hidden;
    align-items: center;
    justify-content: center;
    transition: all 140ms ease-in;
    height: 0;
    width: 0;
    overflow: hidden;
}

.login__form__container.sign_in__form__time {
    opacity: 1;
    visibility: visible;
    height: auto;
    width: auto;
    overflow: visible;
}

.sign_up__form__container.sign_up__form__time {
    opacity: 1;
    visibility: visible;
    height: auto;
    width: auto;
    overflow: visible;
}

.login__close__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.login__close__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f8f8f8;
    text-decoration: none;
    color: #000;
    height: 40px;
    width: 40px;
    border: 0;
    border-radius: var(--border-radius);
    cursor: pointer;
}

.login__close__icon {
    margin: 0 !important;
    font-size: 14px;
}

.login__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #fff;
    padding: 40px;
    border-radius: var(--border-radius-small);
    box-shadow: var(--around-shadow);
}

.login__page__logo {
    width: 140px;
}

.login__heading {
    font-size: 28px;
    font-weight: 900;
    margin-top: 20px;
}

.login__paragraph {
    font-size: 14px;
    color: #888;
    margin-top: 20px;
}

.login__input__margin {
    margin-top: 30px;
}

.login__input__container {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.login__input__title {
    margin: 16px 0 4px 4px;
}

.login__input {
    padding: 0 16px;
    border-radius: var(--border-radius-small);
    border: 1px solid #ccc;
    width: 100%;
    height: 40px;
    transition: all 140ms ease-in;
    font-size: 14px;
    outline: none;
}

.login__input:focus {
    box-shadow: 0 0 0 4px var(--btn-hover-bg);
    border: 1px solid var(--theme-color);
}

.login__forgot__password__container {
    text-align: right !important;
}

.login__forgot__password {
    color: var(--theme-color);
    font-size: 14px;
    margin-top: 10px;
}

.login__btn__submit {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    padding: 0 16px;
    background: var(--theme-color);
    color: #fff;
    font-size: 14px;
    border: 0;
    cursor: pointer;
    border-radius: var(--border-radius-small);
    border: 1px solid var(--theme-color);
    transition: all 140ms ease-in;
    width: 100%;
    height: 40px;
}

.login__btn__submit:hover {
    opacity: .7;
}

.login__or__container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 20px;
}

.login__line {
    width: 100%;
    height: 1px;
    margin: 0 20px;
    color: #ccc;
}

.login__line__word {
    margin: 0;
    font-size: 16px;
}

.login__sign_up__btn {
    text-align: left;
    font-size: 14px;
    margin: 10px 0 0 4px;
    width: 100%;
}

.login__google__icon {
    margin-right: 10px;
}

.login__btn__google {
    background: #fff;
    border: 1px solid #ccc;
    color: #000;
}

.login__btn__google:hover {
    border: 1px solid #fff;
    box-shadow: var(--around-shadow);
}

@media (max-width:767px) {

    .sign_up__container {
        padding: 20px 16px;
    }

    .login__container {
        padding: 20px 16px;
    }

    .login__input__margin {
        margin-top: 20px;
    }

    .login__heading {
        margin-top: 10px;
    }

    .login__paragraph {
        margin-top: 10px;
    }
    
}